<?php

namespace CustomerManagement\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetAvailableEnterpriseGroupsInput StructType
 * @subpackage Structs
 */
class GetAvailableEnterpriseGroupsInput extends AbstractStructBase
{
    /**
     * The SubDealerId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $SubDealerId;
    /**
     * Constructor method for GetAvailableEnterpriseGroupsInput
     * @uses GetAvailableEnterpriseGroupsInput::setSubDealerId()
     * @param string $subDealerId
     */
    public function __construct($subDealerId = null)
    {
        $this
            ->setSubDealerId($subDealerId);
    }
    /**
     * Get SubDealerId value
     * @return string|null
     */
    public function getSubDealerId()
    {
        return $this->SubDealerId;
    }
    /**
     * Set SubDealerId value
     * @param string $subDealerId
     * @return \CustomerManagement\StructType\GetAvailableEnterpriseGroupsInput
     */
    public function setSubDealerId($subDealerId = null)
    {
        // validation for constraint: string
        if (!is_null($subDealerId) && !is_string($subDealerId)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($subDealerId, true), gettype($subDealerId)), __LINE__);
        }
        $this->SubDealerId = $subDealerId;
        return $this;
    }
}
